package intrinsic.mx.controls.treeClasses;

public interface ITreeDataDescriptor {

	/** Accessors */

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */

/** Static Methods */

/** Methods */
//public Object getData(Object arg0);
public Object _getData(Object arg0, Object arg1);
//public boolean removeChildAt(Object arg0, Object arg1, int arg2);
public boolean _removeChildAt(Object arg0, Object arg1, int arg2, Object arg3);
//public boolean isBranch(Object arg0);
public boolean _isBranch(Object arg0, Object arg1);
//public boolean hasChildren(Object arg0);
public boolean _hasChildren(Object arg0, Object arg1);
//public boolean addChildAt(Object arg0, Object arg1, int arg2);
public boolean _addChildAt(Object arg0, Object arg1, int arg2, Object arg3);
//public intrinsic.mx.collections.ICollectionView getChildren(Object arg0);
public intrinsic.mx.collections.ICollectionView _getChildren(Object arg0, Object arg1);

}
